SRS Integration Partner Services
HomeV1 APIsV2 APIs
HomeV1 APIsV2 APIs
  1. Products
  • Authentication
    • Token
      POST
  • Orders
    • Delivery Details
      GET
    • Deliveries list
      POST
    • Proof of Delivery
      GET
    • Order Details
      GET
    • Order list
      POST
    • Submit Order
      POST
  • Invoices
    • Invoice Details
      GET
    • Invoices List
      POST
    • Invoice PDF
      GET
  • Customers
    • Customer Details
      GET
    • Validate Customer
      GET
    • Nearest Eligible Branch
      GET
    • Ship to Address
      GET
    • Order Templates
      GET
  • Products
    • Price
      POST
    • UOM Conversion
      GET
    • Color Recommendations
      POST
    • Catalog Item Convert
      POST
    • Catalog
      GET
    • By Item Codes
      POST
  • Branches
    • Branch Locations
      GET
    • Active Branch Products
      GET
    • Customer Branch Locations
      GET
  • Deliveries
    • Coordinates
  1. Products

By Item Codes

POST
/products/v2/catalog/{branchCode}/byItemCodes
Get product information based on specific item codes

Request

Path Params

Header Params

Body Params application/json

Example
{
    "itemCodes": [
        "MASP59122",
        "DAVBFSH1HHMTNVBN",
        "MASP59167",
        "MASP59027",
        "MASP59036",
        "MASP59028"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://services-qa.roofhub.pro/products/v2/catalog//byItemCodes' \
--header 'Authorization: Bearer' \
--header 'Content-Length: 0' \
--header 'Content-Type: application/json' \
--data-raw '{
    "itemCodes": [
        "MASP59122",
        "DAVBFSH1HHMTNVBN",
        "MASP59167",
        "MASP59027",
        "MASP59036",
        "MASP59028"
    ]
}'

Responses

🟢200By Item Codes
application/json
Body

Example
[
    {
        "productID": 87999,
        "productName": "Mid-America Raised Panel Shutters 14-3/4\"",
        "items": [
            {
                "itemCode": "MASP59027",
                "availableAtBranch": true,
                "selectedOption": "14-3/4\" x 59\" 027 Burgundy Red"
            },
            {
                "itemCode": "MASP59028",
                "availableAtBranch": true,
                "selectedOption": "14-3/4\" x 59\" 028 Forest Green"
            },
            {
                "itemCode": "MASP59036",
                "availableAtBranch": true,
                "selectedOption": "14-3/4\" x 59\" 036 Classic Blue"
            },
            {
                "itemCode": "MASP59122",
                "availableAtBranch": true,
                "selectedOption": "14-3/4\" x 59\" 122 Midnight Green"
            },
            {
                "itemCode": "MASP59167",
                "availableAtBranch": true,
                "selectedOption": "14-3/4\" x 59\" 167 Bordeaux"
            }
        ]
    }
]
Modified at 2026-04-07 14:42:09
Previous
Catalog
Next
Branch Locations
Built with